iterator.h File Reference

-*- C++ -*- More...

`#include <wibble/amorph.h>`
`#include <wibble/mixin.h>`
Include dependency graph for iterator.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | wibble::IteratorTraits< T, I >
struct | wibble::IteratorTraits< T, typename std::set< T >::iterator >
struct | wibble::IteratorTraits< T, typename std::multiset< T >::iterator >
struct | wibble::IteratorInterface< T >
struct | wibble::IteratorProxy< T >
struct | wibble::IteratorMorph< T, W >
struct | wibble::IteratorMixin< T, Self >
struct | wibble::Iterator< T >
struct | wibble::StlIterator< It >

## Namespaces

| wibble

## Typedefs

typedef bool | wibble::SortabilityTag

## Functions

template<typename T , typename I >
IteratorTraits< T, I >::Unsorted | wibble::isSortedT (I, I)
template<typename T , typename I >
IteratorTraits< T, I >::Sorted | wibble::isSortedT (I, I)
template<typename I >
Iterator< typename I::value_type > | wibble::iterator (I i)

## Detailed Description

-*- C++ -*-

Author
  Peter Rockai me@mo.nosp@m.rnfa.nosp@m.ll.ne.nosp@m.t